petsc-3.10.5 2019-03-28
Report Typos and Errors

# MatMFFDSetPeriod

Sets how often h is recomputed, by default it is everytime

### Synopsis

    #include "petscmat.h"
    PetscErrorCode  MatMFFDSetPeriod(Mat mat,PetscInt period)

Logically Collective on Mat

### Input Parameters

| mat | - the matrix free matrix created via MatCreateSNESMF()
| period | - 1 for everytime, 2 for every second etc

### Options Database Keys

| -mat_mffd_period <period> | -

### Keywords

SNES, matrix-free, parameters

### See Also

MatCreateSNESMF(),MatMFFDGetH(),
MatMFFDSetHHistory(), MatMFFDResetHHistory()

### Level

advanced

### Location

src/mat/impls/mffd/mffd.c

### Implementations

MatMFFDSetPeriod_MFFD in src/mat/impls/mffd/mffd.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages